cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers/{trigger_id}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.deployedTriggers.listWebhooks("trigger_id", {
externalUserId: "external_user_id"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.deployed_triggers.list_webhooks(
trigger_id="trigger_id",
external_user_id="external_user_id",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.deployedtriggers.requests.DeployedTriggersListWebhooksRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.deployedTriggers().listWebhooks(
"trigger_id",
DeployedTriggersListWebhooksRequest
.builder()
.externalUserId("external_user_id")
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers/{trigger_id}/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"webhook_urls": [
"<string>"
],
"webhooks": [
{
"id": "<string>",
"url": "<string>",
"signing_key_set": true,
"signing_key": "<string>"
}
]
}{
"error": "Throttled"
}List trigger webhooks
Get webhook URLs configured to receive trigger events
GET
/
v1
/
connect
/
{project_id}
/
deployed-triggers
/
{trigger_id}
/
webhooks
cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers/{trigger_id}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.deployedTriggers.listWebhooks("trigger_id", {
externalUserId: "external_user_id"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.deployed_triggers.list_webhooks(
trigger_id="trigger_id",
external_user_id="external_user_id",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.deployedtriggers.requests.DeployedTriggersListWebhooksRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.deployedTriggers().listWebhooks(
"trigger_id",
DeployedTriggersListWebhooksRequest
.builder()
.externalUserId("external_user_id")
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/deployed-triggers/{trigger_id}/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"webhook_urls": [
"<string>"
],
"webhooks": [
{
"id": "<string>",
"url": "<string>",
"signing_key_set": true,
"signing_key": "<string>"
}
]
}{
"error": "Throttled"
}Authorizations
ConnectTokenOAuth2
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Headers
The environment in which the server client is running
Available options:
development, production Path Parameters
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Query Parameters
The external user ID who owns the trigger
Was this page helpful?